[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TAddMode

Enumerated type with values used to determine where a node should be placed in a tree.

## Declaration

Source position: comctrls.pp line 2900

`type TAddMode = (`
`taAddFirst,` |  | Adds the node as the first child.
`taAdd,` |  | Adds the node as the last child.
`taInsert` |  | Adds the node in front a specified node.
`);`

## Description

TAddMode is the type passed as an argument to methods in TTreeNode and TTreeNodes.

## See also

TTreeNode.MoveTo |  | Relocates a node to the specified Destination node using the specified mode of attachment.
TTreeNodes.InternalAddObject |  | Creates or updates a tree node with the specified text and a pointer to data.